$!				HYINDEX.COM
$!
$!	Used to produce an INDEX. file for HYTELNET by extracting the first
$!	line of each *. file in a root directory and every subdirectory under
$!	the root.  Each line of the INDEX. file is of the format:
$!
$!		<filename> first line heading
$!
$!	Parameter:
$!
$!		P1 = Hytelnet root directory
$!
$!      Author: Gary W. MacDonald <GWMACDONALD@acdm.sait.ab.ca>
$!
$!	Original: Jul '93
$!	Revised:  Mar '94 - Limit lines in INDEX. file to 79 characters
$!			  - Strip CR and LF from lines 
$!
$ if p1 .eqs. "" then inquire p1 "Hytelnet root directory"
$ if p1 .eqs. "" then exit
$ p1 = "''f$parse(p1,,,"device")'''f$parse(p1,,,"directory")'"
$!
$ delete /nolog 'p1'index.;*
$!
$ open /write index 'p1'index.tmp
$ data = f$search("foobar.txt")
$ dir = p1 - "]" + "...]*.;0"
$ cr[0,8] = 13
$ lf[0,8] = 10
$!
$loop:
$ data = f$search("''dir'")
$ if data .eqs. "" then goto close_index
$ open /read file 'data'
$ read /end=close_file file buffer
$ buffer = buffer - """" - """" - cr - lf
$ buffer = f$extract(0,68,f$edit(buffer,"trim"))
$ filename = "<''f$parse(data,,,"name")'>"
$ write index "''f$fao("!10AS !AS", filename, buffer)'"
$close_file:
$ close file
$ goto loop
$!
$close_index:
$ close index
$ rename 'p1'index.tmp 'p1'index.
$ set prot=(g:re,w:re) 'p1'index.
$ exit
